### Hierarchy

- MessageSigner
  - KeyPairHelper

## Index

### Methods

- checkSig
- getPublicKey
- signMessage

## Methods

### checkSig

- checkSig(data: string, sig: string): Promise<boolean>

- - Defined in utils/keypair/MessageSigner.ts:5

  #### Parameters

  - ##### data: string

  - ##### sig: string

  #### Returns Promise<boolean>

### getPublicKey

- getPublicKey(): string

- - Defined in utils/keypair/MessageSigner.ts:7

  #### Returns string

### signMessage

- signMessage(data: string): Promise<string>

- - Defined in utils/keypair/MessageSigner.ts:3

  #### Parameters

  - ##### data: string

  #### Returns Promise<string>

Generated using TypeDoc